"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseCodeFence = parseCodeFence;
var _utils = require("../../utils");
const CODE_BLOCK_REGEX = /```([a-z0-9]+)?\n([\s\S]*?)\n```/gi;
function parseCodeFence(text, defaultLang) {
  const matches = [...text.matchAll(CODE_BLOCK_REGEX)];
  if (matches.length === 0) {
    return {
      code: text
    };
  }
  const code = matches[0]?.[2] || '';
  const language = matches[0]?.[1] || defaultLang;
  const outsideText = text.split(CODE_BLOCK_REGEX).filter(Boolean);
  return {
    code: (0, _utils.removeExtraIndentation)(code),
    language,
    valid: true,
    outsideText
  };
}
//# sourceMappingURL=index.js.map