"use strict";

import { removeExtraIndentation } from '../../utils';
const CODE_BLOCK_REGEX = /```([a-z0-9]+)?\n([\s\S]*?)\n```/gi;
export function parseCodeFence(text, defaultLang) {
  const matches = [...text.matchAll(CODE_BLOCK_REGEX)];
  if (matches.length === 0) {
    return {
      code: text
    };
  }
  const code = matches[0]?.[2] || '';
  const language = matches[0]?.[1] || defaultLang;
  const outsideText = text.split(CODE_BLOCK_REGEX).filter(Boolean);
  return {
    code: removeExtraIndentation(code),
    language,
    valid: true,
    outsideText
  };
}
//# sourceMappingURL=index.js.map