import type { ThemedToken } from 'shiki';
import type { TokenType } from '../../types';
export type SupportedLanguage = 'css' | 'html' | 'javascript' | 'json' | 'php' | 'typescript';
export type SupportedTheme = 'github-dark' | 'github-light';
interface HighlighterOptions {
    langs: SupportedLanguage[];
    themes: SupportedTheme[];
}
export declare function createHighlighter({ langs, themes }: HighlighterOptions): Promise<import("shiki").HighlighterCore>;
export declare function loadTheme(theme: SupportedTheme): Promise<void>;
export declare function loadLanguage(lang: SupportedLanguage): Promise<void>;
export declare function processTokens(tokens: ThemedToken[]): TokenType[];
export {};
//# sourceMappingURL=index.d.ts.map